Package org.opensaml.xacml.policy

# Interface AttributeValueType

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Subinterfaces:
  `AttributeAssignmentType`

All Known Implementing Classes:
  `AttributeAssignmentTypeImpl`, `AttributeValueTypeImpl`

public interface AttributeValueType extends ExpressionType, AttributeExtensibleXMLObject, ElementExtensibleXMLObject
XACML AttributeValue schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATA_TYPE_ATTRIB_NAME`
DataType attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element AttributeValue.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element AttributeValue.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataType()`
Gets the data type of the designated attribute.
`String`
`getValue()`
Gets the text content of the element.
`void`
`setDataType(String type)`
Sets the data type of the designated attribute.
`void`
`setValue(String value)`
Sets the text content of the element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element AttributeValue.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element AttributeValue.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### DATA_TYPE_ATTRIB_NAME

static final String DATA_TYPE_ATTRIB_NAME
DataType attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDataType

String getDataType()
Gets the data type of the designated attribute.

Returns:
  data type of the designated attribute

### setDataType

void setDataType(String type)
Sets the data type of the designated attribute.

Parameters:
  `type` - data type of the designated attribute

### getValue

String getValue()
Gets the text content of the element.

Returns:
  text content of the element

### setValue

void setValue(String value)
Sets the text content of the element. NOTE because the library does not support mixed content setting textual content will prohibit element content.

Parameters:
  `value` - text content of the element